Bug 619004

Summary: gsettings-data-convert is creating coredumps for brightness applet
Product: [Fedora] Fedora Reporter: Zdenek Kabelac <zkabelac>
Component: GConf2Assignee: Ray Strode [halfline] <rstrode>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 19CC: michal, rstrode, walters, yaneti
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 619066 (view as bug list) Environment:
Last Closed: 2015-02-17 08:18:19 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Zdenek Kabelac 2010-07-28 06:28:38 EDT
Description of problem:

Whenver my gnome ssesion is started - brightness applet crashes and coredump is generated:
Program terminated with signal 5, Trace/breakpoint trap.
#0  g_logv (log_domain=0x7fe959eee121 "GLib-GIO", log_level=<value optimized out>, format=0x7fe959f01608 "Settings schema '%s' is not installed\n", args1=0x7fff19575ed0)
    at gmessages.c:554
554		  g_private_set (g_log_depth, GUINT_TO_POINTER (depth));
Missing separate debuginfos, use: debuginfo-install ORBit2-2.14.18-1.fc14.x86_64 dconf-0.4.2-1.x86_64 libselinux-2.0.96-2.fc14.x86_64 zlib-1.2.5-2.fc14.x86_64
(gdb) bt
#0  g_logv (log_domain=0x7fe959eee121 "GLib-GIO", log_level=<value optimized out>, format=0x7fe959f01608 "Settings schema '%s' is not installed\n", args1=0x7fff19575ed0)
    at gmessages.c:554
#1  0x00007fe959920633 in g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>) at gmessages.c:568
#2  0x00007fe959eaf0e3 in g_settings_schema_new (name=0x1ee2580 "org.gnome.gedit-preferences.ui") at gsettingsschema.c:211
#3  0x00007fe959eb1da9 in g_settings_constructed (object=<value optimized out>) at gsettings.c:421
#4  0x00007fe959bec5ba in g_object_newv (object_type=1, n_parameters=<value optimized out>, parameters=<value optimized out>) at gobject.c:1373
#5  0x00007fe959becc21 in g_object_new_valist (object_type=32285728, first_property_name=<value optimized out>, var_args=0x7fff19576220) at gobject.c:1461
#6  0x00007fe959bece51 in g_object_new (object_type=32285728, first_property_name=0x7fe959f017df "schema") at gobject.c:1179
#7  0x0000000000402160 in handle_file (argc=1, argv=0x7fff195765e8) at gsettings-data-convert.c:90
#8  main (argc=1, argv=0x7fff195765e8) at gsettings-data-convert.c:446


-- bt full --
 bt full
#0  g_logv (log_domain=0x7fe959eee121 "GLib-GIO", log_level=<value optimized out>, format=0x7fe959f01608 "Settings schema '%s' is not installed\n", args1=0x7fff19575ed0)
    at gmessages.c:554
        depth = 0
        domain = 0x0
        data = 0x0
        log_func = 0x7fe95991f6e0 <g_log_default_handler>
        domain_fatal_mask = <value optimized out>
        masquerade_fatal = <value optimized out>
        test_level = <value optimized out>
        was_fatal = 0
        was_recursion = 0
        i = 2
#1  0x00007fe959920633 in g_log (log_domain=<value optimized out>, log_level=<value optimized out>, format=<value optimized out>) at gmessages.c:568
        args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area = 0x7fff19575fb0, reg_save_area = 0x7fff19575ef0}}
#2  0x00007fe959eaf0e3 in g_settings_schema_new (name=0x1ee2580 "org.gnome.gedit-preferences.ui") at gsettingsschema.c:211
        schema = <value optimized out>
        table = 0x0
        source = 0x0
#3  0x00007fe959eb1da9 in g_settings_constructed (object=<value optimized out>) at gsettings.c:421
        settings = 0x7fe950005280
        schema_path = <value optimized out>
#4  0x00007fe959bec5ba in g_object_newv (object_type=1, n_parameters=<value optimized out>, parameters=<value optimized out>) at gobject.c:1373
        cparams = <value optimized out>
        oparams = 0x1ee14e0
        nqueue = <value optimized out>
        object = 0x7fe950005280
        class = 0x1ecbfa0
        unref_class = 0x0
        slist = <value optimized out>
        n_total_cparams = <value optimized out>
        n_cparams = <value optimized out>
        n_oparams = 0
        n_cvalues = <value optimized out>
        cvalues = <value optimized out>
        clist = <value optimized out>
        newly_constructed = 1
        i = <value optimized out>
        __PRETTY_FUNCTION__ = "g_object_newv"
#5  0x00007fe959becc21 in g_object_new_valist (object_type=32285728, first_property_name=<value optimized out>, var_args=0x7fff19576220) at gobject.c:1461
        class = 0x1ecbfa0
        params = 0x1ee6440
        name = <value optimized out>
        object = <value optimized out>
        n_params = <value optimized out>
        n_alloced_params = <value optimized out>
        __PRETTY_FUNCTION__ = "g_object_new_valist"
#6  0x00007fe959bece51 in g_object_new (object_type=32285728, first_property_name=0x7fe959f017df "schema") at gobject.c:1179
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff19576310, reg_save_area = 0x7fff19576240}}
        __PRETTY_FUNCTION__ = "g_object_new"
#7  0x0000000000402160 in handle_file (argc=1, argv=0x7fff195765e8) at gsettings-data-convert.c:90
        schema_path = 0x1ee0f00
        value = <value optimized out>
        i = <value optimized out>
        groups = 0x1ee4ee0
        keys = <value optimized out>
---Type <return> to continue, or q <return> to quit---bt full
        str = <value optimized out>
        ii = <value optimized out>
        j = <value optimized out>
        v = <value optimized out>
        keyfile = 0x1eaf640
        gconf_key = <value optimized out>
        builder = <value optimized out>
        s = <value optimized out>
        list = <value optimized out>
        s = <value optimized out>
        client = 0x1ec8860
        l = <value optimized out>
        error = 0x0
#8  main (argc=1, argv=0x7fff195765e8) at gsettings-data-convert.c:446
        stored_mtime = <value optimized out>
        dir_mtime = 1279529847
        statbuf = {st_dev = 2053, st_ino = 227337, st_nlink = 2, st_mode = 16877, st_uid = 0, st_gid = 0, __pad0 = 0, st_rdev = 0, st_size = 4096, st_blksize = 4096, 
          st_blocks = 8, st_atim = {tv_sec = 1279168789, tv_nsec = 0}, st_mtim = {tv_sec = 1279529847, tv_nsec = 0}, st_ctim = {tv_sec = 1279529847, tv_nsec = 0}, __unused = {
            0, 0, 0}}
        error = 0x0
        converted = 0x1ee1260
        dir = 0x1eb09a0
        name = 0x1eb1aeb "gedit.convert"
        filename = 0x1edc800 "/usr/share/GConf/gsettings/gedit.convert"
        i = <value optimized out>
        context = <value optimized out>
        entries = {{long_name = 0x402780 "verbose", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x603430, 
            description = 0x402788 "show verbose messages", arg_description = 0x0}, {long_name = 0x40279e "dry-run", short_name = 0 '\000', flags = 0, arg = G_OPTION_ARG_NONE, 
            arg_data = 0x603434, description = 0x4027a6 "do not perform any changes", arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\000', flags = 0, 
            arg = G_OPTION_ARG_NONE, arg_data = 0x0, description = 0x0, arg_description = 0x0}}


Version-Release number of selected component (if applicable):
GConf2-2.31.6-2.fc14.x86_64
glib2-2.25.11-1.fc14.x86_64


How reproducible:


Steps to Reproduce:
1. Start gnome session with applet for modifying display brightness
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Yanko Kaneti 2010-07-28 09:49:56 EDT
Cloned as 619066 to address the gedit breakage thats making gsettings-data-convert crash. Which shouldn't crash, at least not that coredumpy.
Comment 2 Michal Jaegermann 2010-08-16 20:46:17 EDT
With GConf2-2.31.7-1.fc15.x86_64, and with a corresponding debuginfo loaded, I see the following from gdb:

warning: Corrupted shared library list
Failed to read a valid object file image from memory.
Core was generated by `gsettings-data-convert'.
Program terminated with signal 5, Trace/breakpoint trap.
#0  0x00000032b12479d9 in ?? ()
(gdb) bt
#0  0x00000032b12479d9 in ?? ()
#1  0x0000000000000000 in ?? ()

which does not seem to give much hope for getting anything meaningful out of this.  Only from what happens elsewhere it appears that in this case gnome-volume-control-applet is a trigger for a change.

BTW - is this bombing out responsible for a gnome-volume-control-applet icon in a notification area turning into a "generic" one and for missing "Shutdown" entry on a System menu?
Comment 3 Fedora End Of Life 2013-04-03 14:59:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Fedora End Of Life 2015-01-09 11:17:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 08:18:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.